Package org.apache.commons.imaging

## Enum ImageInfo.CompressionAlgorithm

- java.lang.Object
- - java.lang.Enum<ImageInfo.CompressionAlgorithm>
  - - org.apache.commons.imaging.ImageInfo.CompressionAlgorithm

- All Implemented Interfaces:
    `Serializable`, `Comparable<ImageInfo.CompressionAlgorithm>`
  Enclosing class:
    ImageInfo

      public static enum ImageInfo.CompressionAlgorithm
      extends Enum<ImageInfo.CompressionAlgorithm>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADAPTIVE_RLE` |
    `CCITT_1D` |
    `CCITT_GROUP_3` |
    `CCITT_GROUP_4` |
    `JPEG` |
    `LZW` |
    `NONE` |
    `PACKBITS` |
    `PNG_FILTER` |
    `PSD` |
    `RLE` |
    `UNKNOWN` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |
    `static ImageInfo.CompressionAlgorithm` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ImageInfo.CompressionAlgorithm[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ImageInfo.CompressionAlgorithm UNKNOWN

    - #### NONE

          public static final ImageInfo.CompressionAlgorithm NONE

    - #### LZW

          public static final ImageInfo.CompressionAlgorithm LZW

    - #### PACKBITS

          public static final ImageInfo.CompressionAlgorithm PACKBITS

    - #### JPEG

          public static final ImageInfo.CompressionAlgorithm JPEG

    - #### RLE

          public static final ImageInfo.CompressionAlgorithm RLE

    - #### ADAPTIVE_RLE

          public static final ImageInfo.CompressionAlgorithm ADAPTIVE_RLE

    - #### PSD

          public static final ImageInfo.CompressionAlgorithm PSD

    - #### PNG_FILTER

          public static final ImageInfo.CompressionAlgorithm PNG_FILTER

    - #### CCITT_GROUP_3

          public static final ImageInfo.CompressionAlgorithm CCITT_GROUP_3

    - #### CCITT_GROUP_4

          public static final ImageInfo.CompressionAlgorithm CCITT_GROUP_4

    - #### CCITT_1D

          public static final ImageInfo.CompressionAlgorithm CCITT_1D

  - ### Method Detail

    - #### values

          public static ImageInfo.CompressionAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageInfo.CompressionAlgorithm c : ImageInfo.CompressionAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageInfo.CompressionAlgorithm valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ImageInfo.CompressionAlgorithm>`